package org.artifactory.metrics.framework;

import org.springframework.stereotype.Component;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;

/**
 * Provides a single ScheduledExecutorService instance to be used by all Metrics providers.
 *
 * @author Oleksandr Legenkiy
 */
@Component
public class MetricsSharedExecutorServiceHolder {

    private ScheduledExecutorService executorService;

    public synchronized ScheduledExecutorService getExecutorService() {
        if (executorService == null) {
            executorService = Executors.newScheduledThreadPool(1);
        }
        return executorService;
    }
}
