package org.artifactory.repo.system.suppliers;

import lombok.extern.slf4j.Slf4j;
import org.artifactory.api.config.CentralConfigService;
import org.artifactory.descriptor.config.MutableCentralConfigDescriptor;
import org.artifactory.descriptor.repo.LocalRepoDescriptor;
import org.artifactory.descriptor.repo.TrashRepoDescriptor;

import static org.artifactory.repo.config.RepoConfigDefaultValues.DEFAULT_REPO_LAYOUT;

/**
 * @author Tomer Slutsky
 */
@Slf4j
public class TrashRepo extends SystemRepoBase {

    public TrashRepo(CentralConfigService centralConfigService) {
        super(centralConfigService);
    }

    @Override
    public LocalRepoDescriptor buildDescriptor(String repoKey) {
        return new TrashRepoDescriptor(repoKey,
                centralConfigService.getDescriptor().getRepoLayout(DEFAULT_REPO_LAYOUT));
    }

    @Override
    public void addToRepoList(MutableCentralConfigDescriptor mutableDescriptor, LocalRepoDescriptor descriptor) {
        // The trash repo doesn't get added to any repo list, instead it has it's own cache object
        // in RepositoriesCache
    }
}
