package org.artifactory.descriptor.retention.search.criteria;

import lombok.Data;
import org.artifactory.descriptor.Descriptor;
import org.jfrog.common.config.diff.GenerateDiffFunction;
import org.jfrog.common.config.validation.NotUnicode;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlType;
import java.util.List;

@XmlType(name = "RetentionPolicyPathsInclusionCriteriaType", propOrder = {"operator", "values"})
@GenerateDiffFunction
@Data
public class ArtifactRetentionPolicyPathsInclusionCriteriaDescriptor implements Descriptor {
    @XmlElement
    @NotUnicode
    String operator = "or";

    @XmlElementWrapper(name = "values")
    @XmlElement(name = "value")
    List<String> values;
}
