package org.artifactory.storage.db;

import org.artifactory.common.home.ArtifactoryHome;
import org.artifactory.storage.db.version.converter.LockingDBSqlConverter;
import org.jfrog.converter.DbConverter;
import org.jfrog.converter.DbDetails;

import java.util.stream.Stream;

/**
 * Database Converter Adapter for distributed_locks table.
 * <p>Works only on DBConverters that supports distributed_locks</p>
 */
public class LockingDBConverterAdapter extends DatabaseConverterAdapter {

    public LockingDBConverterAdapter(ArtifactoryHome artifactoryHome, DbDetails dbDetails) {
        super(artifactoryHome, dbDetails);
    }

    @Override
    protected DbConverter[] getDBConverters() {
        return Stream.of(super.getDBConverters())
                .filter(dbConverter -> dbConverter instanceof LockingDBSqlConverter)
                .toArray(DbConverter[]::new);
    }
}
